cURL
curl --request POST \
--url https://api.mottostreaming.com/iam/users/v1/google \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"oauth_client_ids": [
"<string>"
]
}
'import requests
url = "https://api.mottostreaming.com/iam/users/v1/google"
payload = {
"project_id": "<string>",
"oauth_client_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', oauth_client_ids: ['<string>']})
};
fetch('https://api.mottostreaming.com/iam/users/v1/google', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"project_id": "<string>",
"oauth_client_ids": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Google Sign in
Create google sign in integration
CreateGoogleSignInIntegration
Creates new integration.
POST
/
iam
/
users
/
v1
/
google
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
GoogleSignInIntegration
The Motto project to which this integration belongs
The OAuth client IDs as defined in Google Cloud Console. There can be multiple client IDs if the integration is used across multiple platforms (e.g., web, iOS, Android). There must be at least one client ID.
Response
OK
GoogleSignInIntegration
Show child attributes
Show child attributes
⌘I

